package net.xuyezo.main;

import java.sql.Connection;
import java.sql.DriverManager;
import org.bukkit.Bukkit;
import org.bukkit.Server;
import org.bukkit.plugin.java.JavaPlugin;

public class Main extends JavaPlugin {

	@Override
	public void onEnable() {
    	String host = this.getConfig().getString("dbhost");
    	String pass = this.getConfig().getString("dbpass");
    	String user = this.getConfig().getString("dbuser");
    	Connection c = null;
    	try {
            c = DriverManager
               .getConnection(host,
               user,pass);
    	}catch (Exception e) {
            e.printStackTrace();
            System.err.println(e.getClass().getName()+": "+e.getMessage());
            System.exit(0);
         }
		
		Bukkit.getPluginManager().registerEvents(new Handler(c), this);

        Server server = getServer();
	}
}